<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@drawable/bg_login"
    android:fitsSystemWindows="true"
    android:paddingTop="30dp"
    tools:context=".LoginActivity">


    <ImageView
        android:id="@+id/ivLogin"
        android:layout_width="150dp"
        android:layout_height="150dp"
        android:src="@drawable/ic_meser"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintVertical_bias="0.0" />

    <com.google.android.material.textview.MaterialTextView
        android:id="@+id/tvLoginToAcc"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        
        android:text="Login to your account"
        android:textSize="16sp"
        android:textFontWeight="600"
        android:textColor="@color/colorWhite"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="0.112"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintVertical_bias="0.246" />

    <com.google.android.material.card.MaterialCardView
        android:id="@+id/cvLogin"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:layout_marginHorizontal="30dp"
        app:cardElevation="0dp"
        android:backgroundTint="@android:color/transparent"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/tvLoginToAcc"
        app:layout_constraintVertical_bias="0.0">

        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent">

            <com.google.android.material.textfield.TextInputLayout
                android:id="@+id/tfUsername"
                style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginVertical="5dp"
                android:hint="@string/username"
                android:textColorHint="@color/colorWhite"
                app:hintTextColor="@color/colorWhite"
                app:boxStrokeColor="@color/colorWhite"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent"
                app:layout_constraintVertical_bias="0.0">

                <com.google.android.material.textfield.TextInputEditText
                    android:id="@+id/tiUsername"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:textColor="@color/colorWhite"
                    android:inputType="text"
                    android:imeOptions="actionNext"
                     />
            </com.google.android.material.textfield.TextInputLayout>

            <com.google.android.material.textfield.TextInputLayout
                android:id="@+id/tfPassword"
                style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginVertical="5dp"
                android:hint="@string/password"
                android:textColorHint="@color/colorWhite"
                app:hintTextColor="@color/colorWhite"
                app:boxStrokeColor="@color/colorWhite"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintTop_toBottomOf="@id/tfUsername"
                app:layout_constraintVertical_bias="0.0">

                <com.google.android.material.textfield.TextInputEditText
                    android:id="@+id/tiPassword"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:textColor="@color/colorWhite"
                    android:inputType="textPassword"
                    android:imeOptions="actionGo"
                     />
            </com.google.android.material.textfield.TextInputLayout>

            <com.google.android.material.button.MaterialButton
                android:id="@+id/btnLogin"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="10dp"
                android:backgroundTint="@color/colorWhite"
                android:imeOptions="actionGo"
                android:paddingVertical="15dp"
                android:text="login"
                android:textColor="@color/colorPrimary"
                android:textFontWeight="600"
                android:textStyle="bold"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@id/tfPassword"
                app:layout_constraintVertical_bias="0.01999998" />


            <com.google.android.material.textview.MaterialTextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:id="@+id/tvForgotPassword"
                android:layout_marginTop="10dp"
                android:text="Forgot your password?"
                android:layout_marginLeft="100sp"
                android:textColor="@color/colorWhite"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@id/btnLogin" />
            <ProgressBar
                android:id="@+id/progressBar"
                style="?android:attr/progressBarStyle"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:elevation="2dp"
                tools:layout_editor_absoluteX="64dp"
                tools:layout_editor_absoluteY="337dp"
                app:layout_constraintTop_toTopOf="@id/btnLogin"
                app:layout_constraintBottom_toBottomOf="@id/btnLogin"
                app:layout_constraintStart_toStartOf="@id/btnLogin"
                app:layout_constraintEnd_toEndOf="@id/btnLogin"/>



        </androidx.constraintlayout.widget.ConstraintLayout>
    </com.google.android.material.card.MaterialCardView>

</androidx.constraintlayout.widget.ConstraintLayout>